package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.MessageNoticeCompany;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface MessageNoticeCompanyDAO {
	int insert(MessageNoticeCompany entity);
	int update(MessageNoticeCompany entity);
	int exist(String id);
	MessageNoticeCompany get(String id);
	int delete(String id);
	int deleteByNoticeId(String noticeId);
	List<MessageNoticeCompany> findByNoticeId(String noticeId);
	List<MessageNoticeCompany> list();
	List<MessageNoticeCompany> search(Map<String, Object> searchParams, List<Sort> sortList);
}